> ## Documentation Index
> Fetch the complete documentation index at: https://pedirgasdocs.supergasbras.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Cria um novo Driver



## OpenAPI

````yaml https://logistic-ms.supergasbras.app/swagger/v1/swagger.json post /v1/driver
openapi: 3.0.1
info:
  title: CTech Logistic 1.0
  description: Service responsible for handling logistic
  version: '1.0'
servers: []
security:
  - Bearer: []
tags:
  - name: CoverageAreas
    description: Area de cobertura
  - name: DealerCoverageAreas
    description: Area de cobertura do Dealer
  - name: Infrastructure
    description: Infraestrutura
paths:
  /v1/driver:
    post:
      tags:
        - Driver
      summary: Cria um novo Driver
      requestBody:
        description: Dados do Driver
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/DriverDto'
          application/json:
            schema:
              $ref: '#/components/schemas/DriverDto'
          text/json:
            schema:
              $ref: '#/components/schemas/DriverDto'
          application/*+json:
            schema:
              $ref: '#/components/schemas/DriverDto'
      responses:
        '200':
          description: OK
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
components:
  schemas:
    DriverDto:
      type: object
      properties:
        dealerId:
          type: string
          format: uuid
        name:
          type: string
          nullable: true
        enabled:
          type: boolean
        createdAt:
          type: string
          format: date-time
        modifiedAt:
          type: string
          format: date-time
        id:
          type: string
          format: uuid
      additionalProperties: false
    IErrorDataResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ErrorData'
          nullable: true
          readOnly: true
      additionalProperties: false
    ErrorData:
      type: object
      properties:
        code:
          type: string
          nullable: true
        target:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: JWT Authorization header using the Bearer scheme.
      scheme: Bearer
      bearerFormat: JWT

````